Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTab Class Reference

The TQTab class provides the structures in a TQTabBar. More...

`#include <ntqtabbar.h>`

Inherits TQt.

List of all member functions.

## Public Members

- TQTab ()
- virtual ~TQTab ()
- TQTab ( const TQString & text )
- TQTab ( const TQIconSet & icon, const TQString & text = TQString::null )
- void setText ( const TQString & text )
- TQString text () const
- void setIconSet ( const TQIconSet & icon )
- TQIconSet * iconSet () const
- void setRect ( const TQRect & rect )
- TQRect rect () const
- void setEnabled ( bool enable )
- bool isEnabled () const
- void setIdentifier ( int i )
- int identifier () const

## Detailed Description

The TQTab class provides the structures in a TQTabBar.

This class is used for custom TQTabBar tab headings.

See also TQTabBar and Advanced Widgets.

## Member Function Documentation

### TQTab::TQTab ()

Constructs an empty tab. All fields are set to empty.

### TQTab::TQTab ( const TQString & text )

Constructs a tab with the text text.

### TQTab::TQTab ( const TQIconSet & icon, const TQString & text = TQString::null )

Constructs a tab with an icon and the text, text.

### TQTab::~TQTab ()`[virtual]`

Destroys the tab and frees up all allocated resources.

### TQIconSet * TQTab::iconSet () const

Return the TQIconSet of the TQTab.

### int TQTab::identifier () const

Return the TQTab's identifier.

### bool TQTab::isEnabled () const

Returns TRUE if the TQTab is enabled; otherwise returns FALSE.

### TQRect TQTab::rect () const

Return the TQRect for the TQTab.

### void TQTab::setEnabled ( bool enable )

If enable is TRUE enable the TQTab, otherwise disable it.

### void TQTab::setIconSet ( const TQIconSet & icon )

Sets the tab's iconset to icon

### void TQTab::setIdentifier ( int i )

Set the identifier for the TQTab to i. Each TQTab's identifier within a TQTabBar must be unique.

### void TQTab::setRect ( const TQRect & rect )

Set the TQTab TQRect to rect.

### void TQTab::setText ( const TQString & text )

Sets the text of the tab to text.

### TQString TQTab::text () const

Returns the text of the TQTab label.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.